return {
    "akinsho/toggleterm.nvim",
    version = "*",
    config = function()
        require("toggleterm").setup({
        shell = "fish", -- use fish shell
        start_in_insert = true,
        insert_mappings = true,
    })

    -- Horizontal terminal on <leader>tt
    vim.keymap.set("n", "<leader>tt", function()
        require("toggleterm.terminal").Terminal
        :new({ direction = "horizontal", size = 15 })
        :toggle()
        end, { desc = "Toggle horizontal terminal" })

    -- Vertical terminal on <leader>tv
    vim.keymap.set("n", "<leader>tv", function()
        require("toggleterm.terminal").Terminal
        :new({ direction = "vertical", size = 60 })
        :toggle()
    end, { desc = "Toggle vertical terminal" })
    end,
}